Subject: Re: bug#76264: [GNU ELPA] Use lisp-data-mode in generated *-pkg.el files

From: Stefan Monnier <[email-masked]>
Date: Wed, 19 Mar 2025 11:00:38 -0400

> Here I see more than just a warning, in Emacs versions 24 through 27:
>
> 0. cd "$(mktemp -d)"
> 1. HOME="$PWD" XDG_CONFIG_HOME="$PWD" emacs-27.2
> 2. M-: (setq package-check-signature nil) RET
> 3. M-x toggle-debug-on-error RET
> 4. M-x package-install RET dash RET
>
> I attach backtraces from Emacs 24.5 and 27.2.

Does it signal an error if you don't enable `toggle-debug-on-error`, or
do we get a backtrace because of a `with-demoted-error` or some such?

> What I'm not sure about is why only some packages result in an error.

Because we don't constantly rebuild tarballs.

> I'm guessing elpa.gnu.org is caching -pkg.el files of packages that have
> not been updated in the meantime.

I wouldn't call it caching, but that's a way to look at it.

        Stefan